org.apache.fop.svg

## Class AbstractFOPBridgeContext

- java.lang.Object
- - org.apache.batik.bridge.BridgeContext
  - - org.apache.fop.svg.AbstractFOPBridgeContext

- All Implemented Interfaces:
    org.apache.batik.bridge.ErrorConstants, org.apache.batik.css.engine.CSSContext
  Direct Known Subclasses:
    AFPBridgeContext, PDFBridgeContext, PSBridgeContext

      public abstract class AbstractFOPBridgeContext
      extends org.apache.batik.bridge.BridgeContext

  A FOP base implementation of a Batik BridgeContext.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.batik.bridge.BridgeContext

      `org.apache.batik.bridge.BridgeContext.AnimatedAttrListener, org.apache.batik.bridge.BridgeContext.CSSEngineUserAgentWrapper, org.apache.batik.bridge.BridgeContext.CSSPropertiesChangedListener, org.apache.batik.bridge.BridgeContext.DOMAttrModifiedEventListener, org.apache.batik.bridge.BridgeContext.DOMCharacterDataModifiedEventListener, org.apache.batik.bridge.BridgeContext.DOMMouseOutEventListener, org.apache.batik.bridge.BridgeContext.DOMMouseOverEventListener, org.apache.batik.bridge.BridgeContext.DOMNodeInsertedEventListener, org.apache.batik.bridge.BridgeContext.DOMNodeRemovedEventListener, org.apache.batik.bridge.BridgeContext.EventListenerMememto, org.apache.batik.bridge.BridgeContext.SoftReferenceMememto`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FontInfo` | `fontInfo` the font list
    `protected org.apache.xmlgraphics.image.loader.ImageManager` | `imageManager` image manager
    `protected org.apache.xmlgraphics.image.loader.ImageSessionContext` | `imageSessionContext` image session context
    `protected java.awt.geom.AffineTransform` | `linkTransform` link transform

    - ### Fields inherited from class org.apache.batik.bridge.BridgeContext

      `animatedAttributeListener, animationEngine, animationLimitingAmount, animationLimitingMode, childContexts, cssPropertiesChangedListener, cursorManager, defaultBridge, document, documentLoader, documentSize, domAttrModifiedEventListener, domCharacterDataModifiedEventListener, domNodeInsertedEventListener, domNodeRemovedEventListener, DYNAMIC, dynamicStatus, elementDataMap, elementNodeMap, eventListenerSet, extensions, focusManager, globalExtensions, gvtBuilder, INTERACTIVE, interpreterMap, interpreterPool, isSVG12, namespaceURIMap, nodeElementMap, primaryContext, reservedNamespaceSet, STATIC, textPainter, updateManager, userAgent, viewportMap, viewportStack, xblManager`

    - ### Fields inherited from interface org.apache.batik.bridge.ErrorConstants

      `ERR_ATTRIBUTE_MISSING, ERR_ATTRIBUTE_VALUE_MALFORMED, ERR_CSS_LENGTH_NEGATIVE, ERR_CSS_URI_BAD_TARGET, ERR_LENGTH_NEGATIVE, ERR_URI_BAD_TARGET, ERR_URI_IMAGE_BROKEN, ERR_URI_IMAGE_INVALID, ERR_URI_IO, ERR_URI_MALFORMED, ERR_URI_REFERENCE_A_DOCUMENT, ERR_URI_UNSECURE, ERR_XLINK_HREF_CIRCULAR_DEPENDENCIES, URI_IMAGE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFOPBridgeContext(org.apache.batik.bridge.UserAgent userAgent, org.apache.batik.bridge.DocumentLoader loader, FontInfo fontInfo, org.apache.xmlgraphics.image.loader.ImageManager imageManager, org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext, java.awt.geom.AffineTransform linkTransform)` Constructs a new bridge context.
    `AbstractFOPBridgeContext(org.apache.batik.bridge.UserAgent userAgent, FontInfo fontInfo, org.apache.xmlgraphics.image.loader.ImageManager imageManager, org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext)` Constructs a new bridge context.
    `AbstractFOPBridgeContext(org.apache.batik.bridge.UserAgent userAgent, FontInfo fontInfo, org.apache.xmlgraphics.image.loader.ImageManager imageManager, org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext, java.awt.geom.AffineTransform linkTransform)` Constructs a new bridge context.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.batik.bridge.BridgeContext` | `createBridgeContext()`
    `org.apache.xmlgraphics.image.loader.ImageManager` | `getImageManager()` Returns the ImageManager to be used by the ImageElementBridge.
    `org.apache.xmlgraphics.image.loader.ImageSessionContext` | `getImageSessionContext()` Returns the ImageSessionContext to be used by the ImageElementBridge.
    `protected void` | `putElementBridgeConditional(java.lang.String className, java.lang.String testFor)`

    - ### Methods inherited from class org.apache.batik.bridge.BridgeContext

      `addDOMListeners, addGVTListener, addUIEventListeners, bind, checkInteractiveElement, checkInteractiveElement, checkLoadExternalResource, clearChildContexts, closeViewport, createBridgeContext, createSubBridgeContext, createURIResolver, dispose, finalize, getAnimationEngine, getBlockHeight, getBlockWidth, getBolderFontWeight, getBridge, getBridge, getBridgeExtensions, getBridgeUpdateHandler, getChildContexts, getCSSEngineForElement, getCursorManager, getDefaultFontFamily, getDocument, getDocumentBridge, getDocumentLoader, getDocumentSize, getElement, getElementData, getFocusManager, getFontFamilyMap, getFontFamilyResolver, getGlobalBridgeExtensions, getGraphicsNode, getGVTBuilder, getInterpreter, getInterpreterPool, getLighterFontWeight, getMediumFontSize, getPixelToMillimeter, getPixelUnitToMillimeter, getPrimaryBridgeContext, getReferencedElement, getReferencedNode, getSVGContext, getSystemColor, getTextPainter, getUpdateManager, getUserAgent, getViewport, hasGraphicsNodeBridge, initializeDocument, isDynamic, isDynamicDocument, isInteractive, isInteractiveDocument, isSVG12, openViewport, putBridge, putBridge, putReservedNamespaceURI, registerSVGBridges, removeBridge, removeDOMListeners, removeReservedNamespaceURI, removeUIEventListeners, removeViewport, setAnimationLimitingCPU, setAnimationLimitingFPS, setAnimationLimitingMode, setAnimationLimitingNone, setDefaultBridge, setDocument, setDocumentLoader, setDocumentSize, setDynamic, setDynamicState, setElementData, setFontFamilyMap, setGVTBuilder, setInteractive, setInterpreterPool, setTextPainter, setUpdateManager, setUpdateManager, setUserAgent, setXBLManager, storeEventListener, storeEventListenerNS, unbind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fontInfo

          protected final FontInfo fontInfo

      the font list

    - #### imageManager

          protected final org.apache.xmlgraphics.image.loader.ImageManager imageManager

      image manager

    - #### imageSessionContext

          protected final org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext

      image session context

    - #### linkTransform

          protected final java.awt.geom.AffineTransform linkTransform

      link transform

  - ### Constructor Detail

    - #### AbstractFOPBridgeContext

          public AbstractFOPBridgeContext(org.apache.batik.bridge.UserAgent userAgent,
                                          org.apache.batik.bridge.DocumentLoader loader,
                                          FontInfo fontInfo,
                                          org.apache.xmlgraphics.image.loader.ImageManager imageManager,
                                          org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext,
                                          java.awt.geom.AffineTransform linkTransform)

      Constructs a new bridge context.
      Parameters:
        `userAgent` - the user agent
        `loader` - the Document Loader to use for referenced documents.
        `fontInfo` - the font list for the text painter, may be null in which case text is painted as shapes
        `imageManager` - an image manager
        `imageSessionContext` - an image session context
        `linkTransform` - AffineTransform to properly place links, may be null

    - #### AbstractFOPBridgeContext

          public AbstractFOPBridgeContext(org.apache.batik.bridge.UserAgent userAgent,
                                          FontInfo fontInfo,
                                          org.apache.xmlgraphics.image.loader.ImageManager imageManager,
                                          org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext,
                                          java.awt.geom.AffineTransform linkTransform)

      Constructs a new bridge context.
      Parameters:
        `userAgent` - the user agent
        `fontInfo` - the font list for the text painter, may be null in which case text is painted as shapes
        `imageManager` - an image manager
        `imageSessionContext` - an image session context
        `linkTransform` - AffineTransform to properly place links, may be null

    - #### AbstractFOPBridgeContext

          public AbstractFOPBridgeContext(org.apache.batik.bridge.UserAgent userAgent,
                                          FontInfo fontInfo,
                                          org.apache.xmlgraphics.image.loader.ImageManager imageManager,
                                          org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext)

      Constructs a new bridge context.
      Parameters:
        `userAgent` - the user agent
        `fontInfo` - the font list for the text painter, may be null in which case text is painted as shapes
        `imageManager` - an image manager
        `imageSessionContext` - an image session context

  - ### Method Detail

    - #### getImageManager

          public org.apache.xmlgraphics.image.loader.ImageManager getImageManager()

      Returns the ImageManager to be used by the ImageElementBridge.
      Returns:
        the image manager

    - #### getImageSessionContext

          public org.apache.xmlgraphics.image.loader.ImageSessionContext getImageSessionContext()

      Returns the ImageSessionContext to be used by the ImageElementBridge.
      Returns:
        the image session context

    - #### putElementBridgeConditional

          protected void putElementBridgeConditional(java.lang.String className,
                                                     java.lang.String testFor)

      Parameters:
        `className` - name of bridge class to load and construct
        `testFor` - class name to test for presence

    - #### createBridgeContext

          public abstract org.apache.batik.bridge.BridgeContext createBridgeContext()

      Returns:
        new bridge context

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.